var express = require('express');
const db = require('../models');
var router = express.Router();
var Message = db.Message;
var User = db.User;
var lib = require('../lib');

/* GET users listing. */
router.get('/get', async function(req, res, next) {
  var messages = await Message.findAll();
  res.send(messages);
});

router.get('/get/:user', async function(req, res, next) {
  var user = await User.findAll({
    attributes: ['id'],
    where: {
      'name': req.params.user,
    }
  });
  res.send(user);
});

router.get('/getmsg/:user', async function(req, res, next) {
  var msgs = await User.findOne({
    where: { id:3 },
    include: Message
  });
  res.send(msgs);
});

router.get('/getmsg2/:user', async function(req, res, next) {
  var user = await User.findOne({
    where: { id:3 },
  });
  msgs = await user.getMessages();
  res.send(msgs);
});

router.get('/new', async function(req, res, next) {
  var user = await User.findOne({
    where: { id:3 }
  });
  var message = await user.addMessage(12);
  //user.addMessage({body:'A dela tole?'});
  res.send(message);
});

router.get('/new2', async function(req, res, next) {
  var user = await User.findOne({
    where: { id:4 }
  });
  var message = await user.createMessage({
    body: 'WooHoo :)'
  });
  //user.addMessage({body:'A dela tole?'});
  res.send(message);
});

router.post('/add', async function(req, res, next) {
  var sessionId = req.cookies.sessionid;
  var user = await lib.getAuthUser(sessionId);
  if(user) {
    user.createMessage({ body: req.body.body });
    res.redirect('/');
  } else {
    res.redirect('/login');
  }
});

module.exports = router;
